Update MCP Server
curl --request PATCH \
--url https://api.example.com/servers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"server": {
"name": "<string>",
"instructions": "<string>",
"version": 123,
"providers": [
{
"id": "kSuB9Gf6aD4",
"tools": [
{
"id": "kSuB9Gf6aD4"
}
]
}
],
"resources": [
{
"id": "kSuB9Gf6aD4"
}
],
"prompts": [
{
"id": "kSuB9Gf6aD4"
}
]
}
}
'import requests
url = "https://api.example.com/servers/{id}"
payload = { "server": {
"name": "<string>",
"instructions": "<string>",
"version": 123,
"providers": [
{
"id": "kSuB9Gf6aD4",
"tools": [{ "id": "kSuB9Gf6aD4" }]
}
],
"resources": [{ "id": "kSuB9Gf6aD4" }],
"prompts": [{ "id": "kSuB9Gf6aD4" }]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
server: {
name: '<string>',
instructions: '<string>',
version: 123,
providers: [{id: 'kSuB9Gf6aD4', tools: [{id: 'kSuB9Gf6aD4'}]}],
resources: [{id: 'kSuB9Gf6aD4'}],
prompts: [{id: 'kSuB9Gf6aD4'}]
}
})
};
fetch('https://api.example.com/servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"server": {
"id": "kSuB9Gf6aD4",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"requestHeadersProxyEnabled": true,
"dynamicToolDiscoveryEnabled": true,
"version": 123,
"gitProvider": "<string>",
"gitRepoFullName": "<string>",
"providers": [
{
"id": "kSuB9Gf6aD4",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"apiType": "REST",
"visibilityType": "PUBLIC",
"baseURL": "<string>",
"documentURL": "<string>",
"iconURL": "<string>",
"secretPrefix": "<string>",
"name": "<string>",
"description": "<string>",
"tools": [
{
"id": "kSuB9Gf6aD4",
"providerID": "kSuB9Gf6aD4",
"method": "GET",
"path": "/users/{id}",
"name": "makePayment",
"title": "Make Payment",
"description": "<string>",
"pathArgsJSONSchema": {},
"queryArgsJSONSchema": {},
"reqBodyJSONSchema": {},
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"oauth2Scopes": [
"<string>"
]
}
],
"oauth2Config": {
"clientID": "<string>",
"clientSecret": "<string>",
"authURL": "<string>",
"tokenURL": "<string>"
}
}
],
"resources": [
{
"id": "kSuB9Gf6aD4",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"uri": "<string>",
"mimeType": "text/plain",
"size": 123,
"annotations": {}
}
],
"prompts": [
{
"id": "kSuB9Gf6aD4",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"arguments": {},
"messages": {}
}
]
}
}Servers
Update MCP Server
PATCH
/
servers
/
{id}
Update MCP Server
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
MCP Server ID
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
MCP Server updated
Show child attributes
Show child attributes
⌘I